(Quick Reference)

2 Installation - Reference Documentation

Authors: Igor Artamonov

Version: 0.6

2 Installation

Install plugin

Add dependency into `BuildConfig.groovy`:

plugins {
        compile "org.grails.plugins:spring-security-twitter:0.6"
        // …
        // you need to have spring-security-core plugin installed
        // …

and put your Twitter API Consumer Key/Secret into Config.groovy:

grails.plugin.springsecurity.twitter.consumerKey= ..
grails.plugin.springsecurity.twitter.consumerSecret= ..

It's very basic configuration, for other options (see Configuration section)

Follow Basic Usage guide for full example.

Upgrading from versions prior to 0.5

Version 0.5 was completely rewritten, so you could expect some inconsistency after upgrade. Just follow this guide and Configuration section if you have any troubles.

Upgrading from versions prior to 0.6

Version 0.6 is based on Spring Security Core 2 plugin. Follow upgrade notes from http://grails-plugins.github.io/grails-spring-security-core/docs/manual/guide/newInV2.html